Show an approval request
GET /v1/runs/{runId}/approvals/{approvalId} · SDK getApproval · CLI deployments approval show
Requires approvals:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
runId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$approvalId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ApprovalResponse
application/json- response
createdAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeupdatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeversion*number|||environmentId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$escalatedAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeescalationCount*number|||escalationPolicy?executionBindingId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$executionPurpose*string"customer""evaluation""preview"expiresAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeid*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$object*"approval""approval"request*requestedByAgentDeploymentId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$resolvedAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeresolvedByPrincipalId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$runId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$status*string"approved""expired""pending""rejected"toolCallId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$curl -X GET "https://example.com/v1/runs/string/approvals/string"{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "escalatedAt": "2019-08-24T14:15:22Z", "escalationCount": 0, "escalationPolicy": { "property1": null, "property2": null }, "executionBindingId": "string", "executionPurpose": "customer", "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "object": "approval", "request": { "property1": null, "property2": null }, "requestedByAgentDeploymentId": "string", "resolvedAt": "2019-08-24T14:15:22Z", "resolvedByPrincipalId": "string", "runId": "string", "status": "approved", "toolCallId": "string"}